GET Calldata

Similar to `/firm-quote`. Just that response is raw calldata that can be submitted on-chain directly.

get
Query parameters
from_addressstringRequired

Address of the user that sells the token_in

Pattern: ^0x[a-fA-F0-9]{40}$
to_addressstringOptional

Address of the user that receives the token_out. If empty, this address will be the same as from_address

Pattern: ^0x[a-fA-F0-9]{40}$
beneficiary_addressstringOptional

Address of the end user that initiated the swap request.

Pattern: ^0x[a-fA-F0-9]{40}$
src_chainstring · enumRequired

Blockchain name, eg: ethereum, bsc, ...

Possible values:
dst_chainstring · enumRequired

Blockchain name, eg: ethereum, bsc, ...

Possible values:
token_instringRequired

Address of the token to be sold

Pattern: ^0x[a-fA-F0-9]{40}$
token_outstringRequired

Address of the token to be bought

Pattern: ^0x[a-fA-F0-9]{40}$
amountnumberOptional

Amount of token to be sold, in ether unit.

Default: 0
amount_weistringOptional

Amount of token to be sold, in wei unit.

Default: 0
expiry_timenumberOptional

The expiry time of the quote, in seconds.

Default: 0
slippagenumberOptional

Number in percent. For example, passing the value 5 means 5%, 0.1 means 0.1% slippage tolerance. By default it's 0.

Default: 0
timeout_millisnumberOptional

Timeout in milliseconds

Default: 2000
Header parameters
apiKeystringRequired

The API key that was assigned to you by Native

Responses
chevron-right
200

Success

application/json
fromstringRead-onlyRequired
tostringRead-onlyRequired
calldatastringRead-onlyRequired
valuestringRead-onlyRequired
amountInOffsetnumberRead-onlyRequired
amountOutMinimumOffsetnumberRead-onlyRequired
get
/v1/firm-quote/calldata